Package org.globus.gsi.proxy.ext

# Class ProxyCertInfo

java.lang.Object
org.globus.gsi.proxy.ext.ProxyCertInfo

All Implemented Interfaces:
  `org.bouncycastle.asn1.ASN1Encodable`

public class ProxyCertInfo extends Object implements org.bouncycastle.asn1.ASN1Encodable
Represents ProxyCertInfo extension.

     ProxyCertInfo ::= SEQUENCE { pCPathLenConstraint      INTEGER (0..MAX) OPTIONAL, proxyPolicy ProxyPolicy }

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.bouncycastle.asn1.ASN1ObjectIdentifier`
`OID`
ProxyCertInfo extension OID
`static final org.bouncycastle.asn1.ASN1ObjectIdentifier`
`OLD_OID`

## Constructor Summary

Constructors
Constructor
Description
`ProxyCertInfo(int pathLenConstraint, ProxyPolicy policy)`
Creates a new instance of the ProxyCertInfo extension.
`ProxyCertInfo(org.bouncycastle.asn1.ASN1Sequence seq)`
Creates a new instance of the ProxyCertInfo extension from given ASN1Sequence object.
`ProxyCertInfo(ProxyPolicy policy)`
Creates a new instance of the ProxyCertInfo extension with no path length constraint.

## Method Summary

Modifier and Type
Method
Description
`static ProxyCertInfo`
`getInstance(Object obj)`
Returns an instance of `ProxyCertInfo` from given object.
`int`
`getPathLenConstraint()`
Returns the maximum depth of the path of proxy certificates that can be signed by this proxy certificate.
`ProxyPolicy`
`getProxyPolicy()`
Returns the policy object in the proxy.
`org.bouncycastle.asn1.ASN1Primitive`
`toASN1Primitive()`
Returns the DER-encoded ASN.1 representation of the extension.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### OID

public static final org.bouncycastle.asn1.ASN1ObjectIdentifier OID
ProxyCertInfo extension OID

### OLD_OID

public static final org.bouncycastle.asn1.ASN1ObjectIdentifier OLD_OID

## Constructor Details

### ProxyCertInfo

public ProxyCertInfo(org.bouncycastle.asn1.ASN1Sequence seq)
Creates a new instance of the ProxyCertInfo extension from given ASN1Sequence object.

Parameters:
  `seq` - ASN1Sequence object to create the instance from.

### ProxyCertInfo

public ProxyCertInfo(int pathLenConstraint, ProxyPolicy policy)
Creates a new instance of the ProxyCertInfo extension.

Parameters:
  `pathLenConstraint` - the path length constraint of the extension.
  `policy` - the policy of the extension.

### ProxyCertInfo

public ProxyCertInfo(ProxyPolicy policy)
Creates a new instance of the ProxyCertInfo extension with no path length constraint.

Parameters:
  `policy` - the policy of the extension.

## Method Details

### getInstance

public static ProxyCertInfo getInstance(Object obj)
Returns an instance of `ProxyCertInfo` from given object.

Parameters:
  `obj` - the object to create the instance from.
Returns:
  `ProxyCertInfo` instance.
Throws:
  `IllegalArgumentException` - if unable to convert the object to `ProxyCertInfo` instance.

### toASN1Primitive

public org.bouncycastle.asn1.ASN1Primitive toASN1Primitive()
Returns the DER-encoded ASN.1 representation of the extension.

Specified by:
  `toASN1Primitive` in interface `org.bouncycastle.asn1.ASN1Encodable`
Returns:
  `DERObject` the encoded representation of the extension.

### getProxyPolicy

public ProxyPolicy getProxyPolicy()
Returns the policy object in the proxy.

Returns:
  `ProxyPolicy` the policy object

### getPathLenConstraint

public int getPathLenConstraint()
Returns the maximum depth of the path of proxy certificates that can be signed by this proxy certificate.

Returns:
  the maximum depth of the path of proxy certificates that can be signed by this proxy certificate. If 0 then this certificate must not be used to sign a proxy certificate. If the path length constraint field is not defined `Integer.MAX_VALUE` is returned.